Bug 213124 - [MAINTAINER] net-mgmt/collectd5: patch for zfs and riemann plugins
Summary: [MAINTAINER] net-mgmt/collectd5: patch for zfs and riemann plugins
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Jan Beich
URL:
Keywords:
Depends on: 210545
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-30 17:10 UTC by Krzysztof
Modified: 2016-10-02 00:02 UTC (History)
0 users

See Also:
ports: maintainer-feedback+


Attachments
collectd5.6.0_2 patch (1.72 KB, patch)
2016-09-30 17:10 UTC, Krzysztof
ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Krzysztof 2016-09-30 17:10:34 UTC
Created attachment 175314 [details]
collectd5.6.0_2 patch

Lately I've made a patch for collectd5 update to version 5.6.0. Unfortunatelly I've missed two issues:

1. There is a bug inside collect zfs plugin - see https://github.com/collectd/collectd/issues/1963 for details.

2. a write_riemann plugin was updated (changed) so new dependency is needed - riemann-c-client.

There is a bug #210545 which introduce riemann-c-client into ports tree. So bug #210545 should be added first before this patch will be committed.

This patch was tested with poudriere - see http://uld.bsdserwis.com/pkg/data/a3x64-testing/2016-09-30_12h34m25s/logs/collectd5-5.6.0_2.log for detaiils.

I hope both bug #210545 and this one will be committed soon.
Comment 1 commit-hook freebsd_committer 2016-10-01 23:59:47 UTC
A commit references this bug:

Author: jbeich
Date: Sat Oct  1 23:58:58 UTC 2016
New revision: 423097
URL: https://svnweb.freebsd.org/changeset/ports/423097

Log:
  net-mgmt/collectd5: update write_riemann and fix zfs_arc plugins

  PR:		213124
  Submitted by:	Krzysztof <ports@bsdserwis.com> (maintainer)

Changes:
  head/net-mgmt/collectd5/Makefile
  head/net-mgmt/collectd5/files/patch-src_zfs__arc.c